Package org.eclipse.viatra.query.patternlanguage.emf.util

## Class PatternParsingResults

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.util.PatternParsingResults

-     public final class PatternParsingResults
      extends java.lang.Object

  Since:
    1.7

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PatternParsingResults​(java.util.List<Pattern> patterns, java.util.Collection<Pattern> removedPatterns, PatternSetValidationDiagnostics diag, SpecificationBuilder builder)` |
    `PatternParsingResults​(java.util.List<Pattern> patterns, PatternSetValidationDiagnostics diag, SpecificationBuilder builder)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.Iterable<org.eclipse.xtext.validation.Issue>` | `getAllDiagnostics()` |
    `java.lang.Iterable<org.eclipse.xtext.validation.Issue>` | `getErrors()` |
    `java.util.List<org.eclipse.xtext.validation.Issue>` | `getErrors​(Pattern pattern)` | Returns a stream of issues found with a given pattern
    `java.lang.Iterable<Pattern>` | `getPatterns()` | Collects all the patterns that are parsed successfully
    `java.util.Optional<IQuerySpecification<? extends ViatraQueryMatcher<? extends IPatternMatch>>>` | `getQuerySpecification​(java.lang.String fqn)` | Finds and returns a given query specification by qualified name.
    `java.lang.Iterable<IQuerySpecification<?>>` | `getQuerySpecifications()` | Collects all the query that are parsed and built successfully
    `java.lang.Iterable<Pattern>` | `getRemovedPatterns()` |
    `java.lang.Iterable<org.eclipse.xtext.validation.Issue>` | `getWarnings()` |
    `boolean` | `hasError()` |
    `int` | `hashCode()` |
    `boolean` | `hasWarning()` |
    `java.lang.String` | `toString()` |
    `boolean` | `validationOK()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternParsingResults

          public PatternParsingResults​(java.util.List<Pattern> patterns,
                                       PatternSetValidationDiagnostics diag,
                                       SpecificationBuilder builder)

    - #### PatternParsingResults

          public PatternParsingResults​(java.util.List<Pattern> patterns,
                                       java.util.Collection<Pattern> removedPatterns,
                                       PatternSetValidationDiagnostics diag,
                                       SpecificationBuilder builder)

      Since:
        2.3

  - ### Method Detail

    - #### hasWarning

          public boolean hasWarning()

    - #### hasError

          public boolean hasError()

    - #### getErrors

          public java.util.List<org.eclipse.xtext.validation.Issue> getErrors​(Pattern pattern)

      Returns a stream of issues found with a given pattern
      Since:
        2.0

    - #### validationOK

          public boolean validationOK()

    - #### getAllDiagnostics

          public java.lang.Iterable<org.eclipse.xtext.validation.Issue> getAllDiagnostics()

    - #### getErrors

          public java.lang.Iterable<org.eclipse.xtext.validation.Issue> getErrors()

    - #### getWarnings

          public java.lang.Iterable<org.eclipse.xtext.validation.Issue> getWarnings()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getPatterns

          public java.lang.Iterable<Pattern> getPatterns()

      Collects all the patterns that are parsed successfully
      Returns:
        In case of parsing errors, the returned contents is undefined.

    - #### getRemovedPatterns

          public java.lang.Iterable<Pattern> getRemovedPatterns()

      Since:
        2.3

    - #### getQuerySpecifications

          public java.lang.Iterable<IQuerySpecification<?>> getQuerySpecifications()

      Collects all the query that are parsed and built successfully
      Returns:
        In case of parsing errors, the returned contents is undefined.

    - #### getQuerySpecification

          public java.util.Optional<IQuerySpecification<? extends ViatraQueryMatcher<? extends IPatternMatch>>> getQuerySpecification​(java.lang.String fqn)

      Finds and returns a given query specification by qualified name.
      Since:
        2.0

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`